Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class HqlSqlWalkerNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, InitializeableNode

Direct Known Subclasses:
  AbstractSelectExpression, AbstractStatement, BinaryLogicOperatorNode, FromClause, FromElement, IntoClause, OrderByClause, ParameterNode, ResultVariableRefNode, SelectExpressionList, UnaryLogicOperatorNode

    public class HqlSqlWalkerNode

extends SqlNode
implements InitializeableNode

A semantic analysis node, that points back to the main analyzer.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`HqlSqlWalkerNode()`

Method Summary
`AliasGenerator` | `getAliasGenerator()`
`antlr.ASTFactory` | `getASTFactory()`
`SessionFactoryHelper` | `getSessionFactoryHelper()`
`HqlSqlWalker` | `getWalker()`
`void` | `initialize(Object param)` Initializes the node with the parameter.

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HqlSqlWalkerNode

    public HqlSqlWalkerNode()

Method Detail

### initialize

    public void initialize(Object param)

  Description copied from interface: `InitializeableNode`
  Initializes the node with the parameter.

  Specified by:
    `initialize` in interface `InitializeableNode`
  Parameters:
    `param` - the initialization parameter.

### getWalker

    public HqlSqlWalker getWalker()

### getSessionFactoryHelper

    public SessionFactoryHelper getSessionFactoryHelper()

### getASTFactory

    public antlr.ASTFactory getASTFactory()

### getAliasGenerator

    public AliasGenerator getAliasGenerator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.